com.oracle.email.dao

## Class BaseDAO

- java.lang.Object
- - com.oracle.email.dao.BaseDAO

- Direct Known Subclasses:
    MessageDAO, SequenceDAO, UserDAO, UserFolderDAO, UserFolderMessageDAO

      public abstract class BaseDAO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseDAO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `createTable()` Each DAO class need to define how to create the table
    `static java.lang.String` | `getHostPort()`
    `static oracle.kv.KVStore` | `getKVStore()`
    `static java.lang.String` | `getStoreName()`
    `static oracle.kv.table.Table` | `getTable(java.lang.String tablePath)`
    `static oracle.kv.table.TableAPI` | `getTableAPI()`
    `static java.util.Iterator<oracle.kv.table.Row>` | `getTableRows(oracle.kv.table.Table table)`
    `static void` | `main(java.lang.String[] args)`
    `static void` | `setHostPort(java.lang.String hostPort)`
    `static void` | `setStoreName(java.lang.String storeName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseDAO

          public BaseDAO()

  - ### Method Detail

    - #### getKVStore

          public static oracle.kv.KVStore getKVStore()

    - #### getHostPort

          public static java.lang.String getHostPort()

    - #### setHostPort

          public static void setHostPort(java.lang.String hostPort)

    - #### getStoreName

          public static java.lang.String getStoreName()

    - #### setStoreName

          public static void setStoreName(java.lang.String storeName)

    - #### getTable

          public static oracle.kv.table.Table getTable(java.lang.String tablePath)

    - #### getTableRows

          public static java.util.Iterator<oracle.kv.table.Row> getTableRows(oracle.kv.table.Table table)

    - #### getTableAPI

          public static oracle.kv.table.TableAPI getTableAPI()

    - #### main

          public static void main(java.lang.String[] args)

    - #### createTable

          public abstract void createTable()

      Each DAO class need to define how to create the table